Package org.opensaml.soap.wssecurity.impl

# Class AttributedURIImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSURIImpl
org.opensaml.soap.wssecurity.impl.AttributedURIImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XSURI`, `XMLObject`, `AttributedURI`, `IdBearing`, `WSSecurityObject`

public class AttributedURIImpl extends XSURIImpl implements AttributedURI
Implementation of `AttributedURI`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final AttributeMap`
`attributes`
The wildcard attributes.
`private String`
`id`
The wsu:Id attribute value.

### Fields inherited from interface org.opensaml.soap.wssecurity.AttributedURI

`TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.soap.wssecurity.IdBearing

`WSU_ID_ATTR_LOCAL_NAME, WSU_ID_ATTR_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSURI

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`AttributedURIImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`String`
`getWSUId()`
Returns the `@wsu:Id` attribute value.
`void`
`setWSUId(String newId)`
Sets the `@wsu:Id` attribute value.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSURIImpl

`getOrderedChildren, getURI, setURI`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSURI

`getURI, setURI`

## Field Details

### id

@Nullable private String id
The wsu:Id attribute value.

### attributes

@Nonnull private final AttributeMap attributes
The wildcard attributes.

## Constructor Details

### AttributedURIImpl

public AttributedURIImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace of the element
  `elementLocalName` - name of the element
  `namespacePrefix` - namespace prefix of the element

## Method Details

### getWSUId

@Nullable public String getWSUId()
Returns the `@wsu:Id` attribute value.

Specified by:
  `getWSUId` in interface `IdBearing`
Returns:
  The `@wsu:Id` attribute value or `null`.

### setWSUId

public void setWSUId(@Nullable String newId)
Sets the `@wsu:Id` attribute value.

Specified by:
  `setWSUId` in interface `IdBearing`
Parameters:
  `newId` - The `@wsu:Id` attribute value

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes